Main Page glibmm Namespaces Book

# socket.h File Reference

## Namespaces

namespace | Gio
namespace | Glib

## Classes

class | Gio::Socket
| Low-level socket object. More...

## Enumerations

enum | Gio::SocketType { Gio::SOCKET_TYPE_INVALID, Gio::SOCKET_TYPE_STREAM, Gio::SOCKET_TYPE_DATAGRAM, Gio::SOCKET_TYPE_SEQPACKET }
enum | Gio::SocketProtocol { Gio::SOCKET_PROTOCOL_UNKNOWN = -1, Gio::SOCKET_PROTOCOL_DEFAULT = 0, Gio::SOCKET_PROTOCOL_TCP = 6, Gio::SOCKET_PROTOCOL_UDP = 17, Gio::SOCKET_PROTOCOL_SCTP = 132 }
enum | Gio::SocketMsgFlags { Gio::SOCKET_MSG_NONE, Gio::SOCKET_MSG_OOB, Gio::SOCKET_MSG_PEEK = SOCKET_MSG_OOB, Gio::SOCKET_MSG_DONTROUTE = SOCKET_MSG_OOB }